This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 245627 - [hpt3x2n] F7 2.6.21-1.3228.fc7 kernel will not boot: showing ATA errors
[hpt3x2n] F7 2.6.21-1.3228.fc7 kernel will not boot: showing ATA errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: Alasdair Kergon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-25 15:14 EDT by Gerry Reno
Modified: 2009-01-08 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:39:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of F7 xen kernel errors on boot. (91.42 KB, image/jpeg)
2007-06-25 15:14 EDT, Gerry Reno
no flags Details
Screenshot of F7 xen kernel errors on boot. (122.37 KB, image/jpeg)
2007-06-25 15:15 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (120.44 KB, image/jpeg)
2007-06-25 17:57 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (140.26 KB, image/jpeg)
2007-06-25 17:58 EDT, Gerry Reno
no flags Details
Screenshot of F7 xen kernel boot sequence. (120.65 KB, image/jpeg)
2007-06-25 17:59 EDT, Gerry Reno
no flags Details
Screenshot of F7 xen kernel boot sequence. (132.01 KB, image/jpeg)
2007-06-25 17:59 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (114.45 KB, image/jpeg)
2007-06-25 18:28 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (120.16 KB, image/jpeg)
2007-06-25 18:29 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (108.25 KB, image/jpeg)
2007-06-25 18:29 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (128.55 KB, image/jpeg)
2007-06-25 18:30 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (106.40 KB, image/jpeg)
2007-06-25 18:31 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (113.03 KB, image/jpeg)
2007-06-25 18:31 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (119.56 KB, image/jpeg)
2007-06-25 18:32 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (133.20 KB, image/jpeg)
2007-06-25 18:32 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (103.00 KB, image/jpeg)
2007-06-25 18:33 EDT, Gerry Reno
no flags Details
Screenshot of F7 regular kernel boot sequence. (121.38 KB, image/jpeg)
2007-06-25 18:34 EDT, Gerry Reno
no flags Details
Screenshot #1: boot 2.6.23.8-34.f7 (105.02 KB, image/jpeg)
2007-12-28 13:37 EST, Gerry Reno
no flags Details
Screenshot #2: boot 2.6.23.8-34.f7 (111.91 KB, image/jpeg)
2007-12-28 13:37 EST, Gerry Reno
no flags Details
Screenshot #3: boot 2.6.23.8-34.f7 (99.80 KB, image/jpeg)
2007-12-28 13:38 EST, Gerry Reno
no flags Details
Screenshot #4: boot 2.6.23.8-34.f7 (99.69 KB, image/jpeg)
2007-12-28 13:38 EST, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2007-06-25 15:14:49 EDT
Description of problem:
After performing a FC6 -> F7 yum upgrade which went perfectly the machine will
not boot using the regular kernel.

Version-Release number of selected component (if applicable):
2.6.21-1.3228.fc7

How reproducible:
Always

Steps to Reproduce:
1.  Boot machine
2.
3.
  
Actual results:
See attachments.

Expected results:
Machine boots normally.

Additional info:
Comment 1 Gerry Reno 2007-06-25 15:14:49 EDT
Created attachment 157795 [details]
Screenshot of F7 xen kernel errors on boot.
Comment 2 Gerry Reno 2007-06-25 15:15:52 EDT
Created attachment 157796 [details]
Screenshot of F7 xen kernel errors on boot.
Comment 3 Chuck Ebbert 2007-06-25 15:40:38 EDT
What kind of hardware? Is there an FC6 smolt profile for this machine?
Comment 4 Gerry Reno 2007-06-25 16:24:13 EDT
I do not know the smolt UUID for this machine but a twin identical machine is:

http://smolt.fedoraproject.org/show?UUID=ab65ac7d-1e79-4479-b7bf-14f4936b6e2a

Comment 5 Gerry Reno 2007-06-25 16:32:33 EDT
These are the same machines that Sergei and Chuck helped get booting on the
2.6.20 series kernels.  It took a BIOS tweak to fix the "unknown bus timing"
problem.  And I checked and that tweak is still in effect but is not helping
apparently for the F7 kernels.
Comment 6 Chuck Ebbert 2007-06-25 17:09:45 EDT
So this is the same problem as bug #234283, but with libata instead of old-ide
drivers? Can you confirm that it's the disks on the HPT302x controller that are
causing the problem again?
Comment 7 Gerry Reno 2007-06-25 17:57:36 EDT
Created attachment 157814 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 8 Gerry Reno 2007-06-25 17:58:09 EDT
Created attachment 157815 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 9 Gerry Reno 2007-06-25 17:59:05 EDT
Created attachment 157816 [details]
Screenshot of F7 xen kernel boot sequence.
Comment 10 Gerry Reno 2007-06-25 17:59:52 EDT
Created attachment 157817 [details]
Screenshot of F7 xen kernel boot sequence.
Comment 11 Gerry Reno 2007-06-25 18:02:36 EDT
All of the photos 157814 to 157817 are for the xen kernel.
Comment 12 Gerry Reno 2007-06-25 18:28:52 EDT
Created attachment 157819 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 13 Gerry Reno 2007-06-25 18:29:23 EDT
Created attachment 157820 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 14 Gerry Reno 2007-06-25 18:29:56 EDT
Created attachment 157821 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 15 Gerry Reno 2007-06-25 18:30:31 EDT
Created attachment 157822 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 16 Gerry Reno 2007-06-25 18:31:08 EDT
Created attachment 157823 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 17 Gerry Reno 2007-06-25 18:31:43 EDT
Created attachment 157824 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 18 Gerry Reno 2007-06-25 18:32:22 EDT
Created attachment 157825 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 19 Gerry Reno 2007-06-25 18:32:56 EDT
Created attachment 157826 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 20 Chuck Ebbert 2007-06-25 18:33:26 EDT
Can you connect a serial cable and capture the boot messages that way?
Comment 21 Gerry Reno 2007-06-25 18:33:30 EDT
Created attachment 157827 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 22 Gerry Reno 2007-06-25 18:34:05 EDT
Created attachment 157828 [details]
Screenshot of F7 regular kernel boot sequence.
Comment 23 Gerry Reno 2007-06-25 18:35:43 EDT
All photos 157819 to 157828 are for the regular kernel.
Comment 24 Gerry Reno 2007-06-25 19:20:50 EDT
(In reply to comment #20)
> Can you connect a serial cable and capture the boot messages that way?

Chuck, that's on my todo list but I haven't got these machines configured for
serial console yet.
Comment 25 Gerry Reno 2007-06-25 21:54:29 EDT
This bug is related to bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=245626

Comment 26 Gerry Reno 2007-06-26 11:48:04 EDT
I've managed to boot into F7 using the old FC6 kernel, 2.6.20-1.2952.fc6xen, and
it is running.  Haven't noticed any errors after a couple hours running.  What
ramifications are there to running F7 with this FC6 kernel?  Are there any
dependencies on the F7 kernels that would cause serious problems running it with
this FC6 kernel?

Comment 27 Chuck Ebbert 2007-06-26 11:57:47 EDT
Other than lack of support for newer devices and some missing features that
would enable more power saving, the FC6 kernel should work fine.
Comment 28 Gerry Reno 2007-06-26 12:29:30 EDT
Ok, I will continue to operate this server with the FC6 kernel for now but I
would hope to see the F7 kernels fixed quickly for these issues with the
highpoint controllers.

Comment 29 Alan Cox 2007-06-26 13:45:33 EDT
Its unlikely to be fixed rapidly. There is very little documentation, the source
code from the vendor drivers isn't very clear and most systems are working
(which makes it hard to reproduce). Sergei is working upstream on this but its
likely to be a slow process for both old and new IDE driver [which are basically
the same logic internally]
Comment 30 Gerry Reno 2007-06-26 14:03:20 EDT
Alan, would it help if I sent you one of these hpt302n pci cards?  I wouldn't
mind doing that if it would be of use to you.
Comment 31 Alan Cox 2007-06-28 11:22:31 EDT
I'm not sure it will help. The big lack is information not hardware. Thanks for
the offer though. Hopefully the upstream work will get us somewhere in the end
of the non working cases.

Comment 32 Gerry Reno 2007-06-28 16:45:45 EDT
Ok, I have the server running under the FC6 xen kernel but I have not been able
to get any of my xen domains to start.  They keep getting error:
Error: Unable to connect to xend.  No such file or directory.  Is xend running?

Of course I check xend and it is running.  And to be safe I restart it.  Still
cannot start any xen domains.

Is this problem somehow related to the fact that I'm using the FC6 xen kernel? 
I know xen version changed to 3.1 from 3.0 so does that tie it to a particular
kernel?

If so then this F7 kernel problem becomes a really big problem for us.

Comment 33 Alan Cox 2007-06-28 18:10:25 EDT
Please file different bugs in differen bugzilla entries
Comment 34 Gerry Reno 2007-06-28 18:29:46 EDT
F7 using FC6 Xen kernel issue opened under:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=246169

Comment 35 Torsten 2007-07-12 06:58:56 EDT
Thanks Gerry for the input. I have got a similar problem. Booting from the
on-board p-ata controller works fine, but when using a disk attached to the
htp-card it will screw up the system, displaying about the same errors than
shown in your screen-shots.

I have played a bit and the result is: 
(1) if the disk is on the Primary Channel, it works fine. 
(2) If it is on the Secondary Channel I cannot even create a partition. 
(3) The Secondary Channel is linked with an outside connector. The docs say one
may either use the internal or outside one for connecting pata drives. I did not
try to use the outside one, but thinking about the design, the Secondary Channel
may be slightly different to the Primary one -- which makes the difference I see.


It may be worth trying to boot from disks attached to the Primary-channel.



Comment 36 Gerry Reno 2007-07-12 12:04:58 EDT
Torsten,  thanks for the info.  We've had these servers (14) with the HPT 
controllers running this way for around four years on RH/Fedora and we do not 
want to take the risk of reconfiguring things and introducing other problems.  
We also do not have any spare time for experimentation.  These machines have 
booted fine with dozens of previous RH/Fedora kernels and the kernel team 
needs to figure out what is necessary for the new libata drivers to be able to 
duplicate the old behavior under the previous IDE drivers.

Comment 37 Gerry Reno 2007-09-16 19:06:43 EDT
Has there been any progress on this hptxxx controller issue?  It's getting
closer to Fedora 8 release and I'm concerned that continuing to have to use an
FC6 kernel with F7 because of not being able to use libata drivers is going to
become very problematic.  As it is I cannot update anything because everytime I
try to do that yum tries to remove the FC6 kernel!  It's killed the machines a
couple times already so I just quit trying to update.


Comment 38 Chuck Ebbert 2007-09-17 14:19:55 EDT
(In reply to comment #37)
> Has there been any progress on this hptxxx controller issue?  It's getting
> closer to Fedora 8 release and I'm concerned that continuing to have to use an
> FC6 kernel with F7 because of not being able to use libata drivers is going to
> become very problematic.  As it is I cannot update anything because everytime I
> try to do that yum tries to remove the FC6 kernel!  It's killed the machines a
> couple times already so I just quit trying to update.

Manually remove the newer kernel before running an update.

 # rpm -e kernel-<version>
Comment 39 Alan Cox 2007-09-18 05:05:27 EDT
I'm working on it and a lot has been done for the hpt37x and 3xxN series
controllers. I've also *finally* hopefully sorted out some kind of NDA access to
full documentation to the later devices.
Comment 40 Gerry Reno 2007-12-28 13:23:32 EST
Today, I tried to update to the 2.6.23 kernel.  It did not work.  I no longer
see the crash but instead now LVM is not working properly.  I'll attach some
screen shots.

I also tried this on another server with Highpoint Controllers (but not hpt302n)
and that server is able to boot but it too has problems with drive timeouts. 
That bug is https://bugzilla.redhat.com/show_bug.cgi?id=426896

Comment 41 Gerry Reno 2007-12-28 13:37:08 EST
Created attachment 290500 [details]
Screenshot #1: boot 2.6.23.8-34.f7
Comment 42 Gerry Reno 2007-12-28 13:37:45 EST
Created attachment 290501 [details]
Screenshot #2: boot 2.6.23.8-34.f7
Comment 43 Gerry Reno 2007-12-28 13:38:16 EST
Created attachment 290502 [details]
Screenshot #3: boot 2.6.23.8-34.f7
Comment 44 Gerry Reno 2007-12-28 13:38:44 EST
Created attachment 290503 [details]
Screenshot #4: boot 2.6.23.8-34.f7
Comment 45 Gerry Reno 2007-12-28 14:04:28 EST
Just for reference:
We are using LVM over mdadm software RAID arrays.
Comment 46 Gerry Reno 2008-04-04 12:18:57 EDT
Has there been any progress on getting the HighPoint controllers and LVM to 
work with the libata kernels?
Comment 47 Dave Jones 2008-04-04 12:47:00 EDT
can you mount a usb key when you're at that rescue prompt, and save the output
of dmesg to it, and attach that here please ?
Comment 48 Alan Cox 2008-04-07 12:02:49 EDT
For the xxxN cards not a lot recently. Most work but not all setups
Comment 49 Gerry Reno 2008-04-23 21:36:58 EDT
Dave, I'm working on getting the dmesg.  I need to get some services moved off
the machine before I can experiment with the kernels again.  
Comment 50 Bug Zapper 2008-05-14 09:16:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 51 Bug Zapper 2008-11-26 02:22:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 52 Bug Zapper 2009-01-08 23:39:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.